libebook::EBOOKXMLElementContextBase Class Reference documentation

Protected Member Functions | List of all members
libebook::EBOOKXMLElementContextBase Class Reference

`#include <EBOOKXMLContextBase.h>`

Inheritance diagram for libebook::EBOOKXMLElementContextBase:

## Protected Member Functions
void | startOfElement () override
| Signalize the start of an element. More...
void | attribute (int name, const char *value) override
| Process an attribute. More...
void | endOfAttributes () override
| Signalize the end of attributes. More...
void | text (const char *value) override
| Process textual content of an element. More...
void | endOfElement () override
| Signalize the end of an element. More...

## Additional Inherited Members
Public Member Functions inherited from libebook::EBOOKXMLContext
virtual | ~EBOOKXMLContext ()=0
virtual void | startOfElement ()=0
| Signalize the start of an element. More...
virtual void | attribute (int name, const char *value)=0
| Process an attribute. More...
virtual void | endOfAttributes ()=0
| Signalize the end of attributes. More...
virtual std::shared_ptr< EBOOKXMLContext > | element (int name)=0
| Create a context for parsing a child element. More...
virtual void | text (const char *value)=0
| Process textual content of an element. More...
virtual void | endOfElement ()=0
| Signalize the end of an element. More...

## Member Function Documentation

## ◆ attribute()

void libebook::EBOOKXMLElementContextBase::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libebook::EBOOKXMLContext.

## ◆ endOfAttributes()

void libebook::EBOOKXMLElementContextBase::endOfAttributes | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of attributes.

Implements libebook::EBOOKXMLContext.

## ◆ endOfElement()

void libebook::EBOOKXMLElementContextBase::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libebook::EBOOKXMLContext.

## ◆ startOfElement()

void libebook::EBOOKXMLElementContextBase::startOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::EBOOKXMLContext.

## ◆ text()

void libebook::EBOOKXMLElementContextBase::text | ( | const char * | value | ) |
| overrideprotectedvirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::EBOOKXMLContext.

The documentation for this class was generated from the following files:

- EBOOKXMLContextBase.h
- EBOOKXMLContextBase.cpp